#include <iostream>
#include <stdexcept>
#include <string>
#include <vector>

class DataProcessor {
private:
    std::vector<int> data;

public:
    void addData(int value) {
        data.push_back(value);
    }

    double calculateAverage() const {
        if (data.empty()) {
            throw std::runtime_error("Cannot calculate average of empty dataset");
        }

        double sum = 0;
        for (int value : data) {
            sum += value;
        }
        return sum / data.size();
    }
};

int main() {
    DataProcessor processor;

    try {
        std::cout << "Average: " << processor.calculateAverage() << std::endl;
    }
    catch (const std::runtime_error& e) {
        std::cerr << "Runtime error caught: " << e.what() << std::endl;
    }

    processor.addData(10);
    processor.addData(20);
    processor.addData(30);

    try {
        std::cout << "Average: " << processor.calculateAverage() << std::endl;
    }
    catch (const std::runtime_error& e) {
        std::cerr << "Runtime error caught: " << e.what() << std::endl;
    }

    return 0;
}
